[LFS Trac] #2567: Bash-4.0 patches

LFS Trac trac at linuxfromscratch.org
Tue Feb 9 16:01:39 PST 2010


#2567: Bash-4.0 patches
----------------------------------------+-----------------------------------
 Reporter:  randy@…                     |        Owner:  lfs-book@…                   
     Type:  defect                      |       Status:  reopened                     
 Priority:  normal                      |    Milestone:                               
Component:  Errata                      |      Version:  SVN                          
 Severity:  normal                      |   Resolution:                               
 Keywords:                              |  
----------------------------------------+-----------------------------------
Changes (by randy@…):

  * status:  closed => reopened
  * type:  task => defect
  * resolution:  fixed =>


Comment:

 This perhaps should be reconsidered. It turns out that the new patch
 touches configure.in so autoconf is required, which is not available
 yet in Chapter 6. The bash build fails immediately.

 Installing Autoconf before Bash works, but the autoconf test suite
 will fail on two accounts, one libtool is not available, the other
 perl is not available.

 It may be best just to go with the existing patch in the book and
 remove the errata entry.

 Other ideas?

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/lfs/ticket/2567#comment:2>
LFS Trac <http://wiki.linuxfromscratch.org/lfs/>
Linux From Scratch: Your Distro, Your Rules.



More information about the lfs-book mailing list